aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authordanix <danix@danix.xyz>2026-03-31 09:34:59 +0200
committerdanix <danix@danix.xyz>2026-03-31 09:34:59 +0200
commite51dcfd426d0bb475a3d12eed8d54a46b0f17444 (patch)
tree153619df5af5632abd399a8baa51b7b9eb47a828
parente935183ec65007f4ae24ac41aab8dfbd15e28af4 (diff)
downloadmy-slackbuilds-e51dcfd426d0bb475a3d12eed8d54a46b0f17444.tar.gz
my-slackbuilds-e51dcfd426d0bb475a3d12eed8d54a46b0f17444.zip
Added some of the packages I maintain on my personal system
-rw-r--r--discord/README14
-rw-r--r--discord/discord.SlackBuild93
-rw-r--r--discord/discord.info10
-rw-r--r--discord/doinst.sh3
-rw-r--r--discord/slack-desc19
-rw-r--r--hstr/README6
-rw-r--r--hstr/hstr.SlackBuild118
-rw-r--r--hstr/hstr.info10
-rw-r--r--hstr/slack-desc19
-rw-r--r--hugo/README23
-rw-r--r--hugo/hugo.SlackBuild91
-rw-r--r--hugo/hugo.info10
-rw-r--r--hugo/slack-desc19
-rw-r--r--kitty-bin/README14
-rw-r--r--kitty-bin/doinst.sh10
-rw-r--r--kitty-bin/kitty-bin.SlackBuild89
-rw-r--r--kitty-bin/kitty-bin.info10
-rw-r--r--kitty-bin/slack-desc19
-rw-r--r--llama.cpp-vulkan/README22
-rw-r--r--llama.cpp-vulkan/doinst.sh27
-rw-r--r--llama.cpp-vulkan/llama.cpp-vulkan.SlackBuild131
-rw-r--r--llama.cpp-vulkan/llama.cpp-vulkan.info10
-rw-r--r--llama.cpp-vulkan/rc.llama.cpp86
-rw-r--r--llama.cpp-vulkan/slack-desc19
-rw-r--r--obsidian/README12
-rw-r--r--obsidian/doinst.sh9
-rw-r--r--obsidian/obsidian.SlackBuild86
-rw-r--r--obsidian/obsidian.info10
-rw-r--r--obsidian/slack-desc19
-rw-r--r--syncthing/README20
-rw-r--r--syncthing/doinst.sh25
-rw-r--r--syncthing/rc.syncthing53
-rw-r--r--syncthing/slack-desc19
-rw-r--r--syncthing/syncthing.SlackBuild115
-rw-r--r--syncthing/syncthing.info10
-rw-r--r--syncthing/syncthing.logrotate8
36 files changed, 1258 insertions, 0 deletions
diff --git a/discord/README b/discord/README
new file mode 100644
index 0000000..ceb8841
--- /dev/null
+++ b/discord/README
@@ -0,0 +1,14 @@
+discord (It's time to ditch Skype and TeamSpeak)
+
+All-in-one voice and text chat for gamers that's free, secure, and
+works on both your desktop and phone. Stop paying for TeamSpeak
+servers and hassling with Skype. Simplify your life.
+
+Discord is only available as a 64bit program. 32bit is unsupported.
+
+If you'd like Discord to continue working after an upstream update
+is released, but is not yet available on SBo, add the following to
+the beginning of your user's ~/.config/discord/settings.json file,
+on a new line after the first bracket:
+
+"SKIP_HOST_UPDATE": true,
diff --git a/discord/discord.SlackBuild b/discord/discord.SlackBuild
new file mode 100644
index 0000000..8d276b7
--- /dev/null
+++ b/discord/discord.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/bash
+
+# Slackware build script for discord
+#
+# Copyright 2016-2026 Jeremy Hansen <jebrhansen+SBo@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=discord
+VERSION=${VERSION:-0.0.130}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ DEBARCH="i386"
+ echo "This package is currently only available for 64bit."
+ exit 1
+elif [ "$ARCH" = "x86_64" ]; then
+ DEBARCH="amd64"
+else
+ echo "Package for $(uname -m) architecture is not available."
+ exit 1
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/${PRGNAM}-${VERSION}.deb data.tar.gz | tar zxv
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/discord/copyright $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Don't need these:
+rm -rf $PKG/usr/share/doc $PKG/usr/share/lintian
+
+# Correct permissions error found using sbopkglint
+chmod +x $PKG/usr/share/discord/lib*.so*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/discord/discord.info b/discord/discord.info
new file mode 100644
index 0000000..7af1359
--- /dev/null
+++ b/discord/discord.info
@@ -0,0 +1,10 @@
+PRGNAM="discord"
+VERSION="0.0.130"
+HOMEPAGE="https://discord.com"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://dl.discordapp.net/apps/linux/0.0.130/discord-0.0.130.deb"
+MD5SUM_x86_64="0f71262ae0943e7eab7539a06a848335"
+REQUIRES=""
+MAINTAINER="Jeremy Hansen"
+EMAIL="jebrhansen+SBo@gmail.com"
diff --git a/discord/doinst.sh b/discord/doinst.sh
new file mode 100644
index 0000000..5fb2893
--- /dev/null
+++ b/discord/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/discord/slack-desc b/discord/slack-desc
new file mode 100644
index 0000000..bfd437a
--- /dev/null
+++ b/discord/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+discord: discord (It's time to ditch Skype and TeamSpeak)
+discord:
+discord: All-in-one voice and text chat for gamers that's free, secure, and
+discord: works on both your desktop and phone. Stop paying for TeamSpeak
+discord: servers and hassling with Skype. Simplify your life.
+discord:
+discord: Homepage: https://discord.com/
+discord:
+discord:
+discord:
+discord:
diff --git a/hstr/README b/hstr/README
new file mode 100644
index 0000000..e1fde90
--- /dev/null
+++ b/hstr/README
@@ -0,0 +1,6 @@
+Bash and Zsh shell history suggest box - easily view, navigate, search
+and manage your command history.
+
+It is a command line utility which brings improved command completion
+from the history. It aims to make completion easier to use and more
+efficient than Ctrl-r.
diff --git a/hstr/hstr.SlackBuild b/hstr/hstr.SlackBuild
new file mode 100644
index 0000000..07af63e
--- /dev/null
+++ b/hstr/hstr.SlackBuild
@@ -0,0 +1,118 @@
+#!/bin/bash
+
+# Slackware build script for hstr
+
+# Copyright 2014-2023 Zhu Qun-Ying
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=hstr
+VERSION=${VERSION:-3.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Fix for ncurses-6.5
+sed -i "s|<ncursesw/curses.h>|<curses.h>|" src/include/hstr_curses.h src/include/hstr.h
+
+autoreconf -vfis
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ac_cv_func_malloc_0_nonnull=yes \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+ln -sf hstr $PKG/usr/bin/hh
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CONFIGURATION.md LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/hstr/hstr.info b/hstr/hstr.info
new file mode 100644
index 0000000..50a2971
--- /dev/null
+++ b/hstr/hstr.info
@@ -0,0 +1,10 @@
+PRGNAM="hstr"
+VERSION="3.1"
+HOMEPAGE="https://github.com/dvorka/hstr"
+DOWNLOAD="https://github.com/dvorka/hstr/archive/3.1/hstr-3.1.tar.gz"
+MD5SUM="5d647f3b2fc4615b14eaeaaf5b27e4f2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Zhu Qun-Ying"
+EMAIL="zhu.qunying@gmail.com"
diff --git a/hstr/slack-desc b/hstr/slack-desc
new file mode 100644
index 0000000..9d8067a
--- /dev/null
+++ b/hstr/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+hstr: hstr (BASH and Zsh Shell History Suggest Box)
+hstr:
+hstr: BASH and Zsh Shell history suggest box is a command line utility that
+hstr: brings improved command completion from the history. It aims to
+hstr: make completion easier and more efficient than Ctrl-r.
+hstr:
+hstr:
+hstr:
+hstr:
+hstr: homepage: https://github.com/dvorka/hstr
+hstr:
diff --git a/hugo/README b/hugo/README
new file mode 100644
index 0000000..82dd3ed
--- /dev/null
+++ b/hugo/README
@@ -0,0 +1,23 @@
+Hugo is a static HTML and CSS website generator written in Go. It is
+optimized for speed, ease of use, and configurability. Hugo takes a
+directory with content and templates and renders them into a full HTML
+website.
+
+Hugo relies on Markdown files with front matter for metadata, and you
+can run Hugo from any directory. This works well for shared hosts and
+other systems where you don’t have a privileged account.
+
+Hugo renders a typical website of moderate size in a fraction of a
+second. A good rule of thumb is that each piece of content renders in
+around 1 millisecond.
+
+Hugo is designed to work well for any kind of website including blogs,
+tumbles, and docs.
+
+Notes:
+This slackbuild installs the "extended" version of Hugo. Please see
+the Hugo website for more about the additional functionality.
+
+Current release:
+Hugo cannot be updated beyond 0.148.2 in the current stable release
+of Slackware.
diff --git a/hugo/hugo.SlackBuild b/hugo/hugo.SlackBuild
new file mode 100644
index 0000000..ac5ba99
--- /dev/null
+++ b/hugo/hugo.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/bash
+
+# Slackware build script for hugo
+
+# Copyright 2020-2025 Andrew Payne <phalange@komputermatrix.com>
+# Copyright 2018-2019 Donald Cooley South Haven, IN USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=hugo
+VERSION=${VERSION:-0.159.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ BIT="64bit"
+else
+ echo "$ARCH is not supported."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM\_extended\_$VERSION\_Linux-$BIT.tar.gz -C $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/{usr/bin,opt/$PRGNAM}
+ cp -a * $PKG/opt/$PRGNAM
+ ln -s /opt/$PRGNAM/hugo $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/hugo/hugo.info b/hugo/hugo.info
new file mode 100644
index 0000000..f7b5612
--- /dev/null
+++ b/hugo/hugo.info
@@ -0,0 +1,10 @@
+PRGNAM="hugo"
+VERSION="0.159.1"
+HOMEPAGE="https://gohugo.io"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/gohugoio/hugo/releases/download/v0.159.1/hugo_extended_0.159.1_Linux-64bit.tar.gz"
+MD5SUM_x86_64="7d237b02493daca75b20441653387f19"
+REQUIRES=""
+MAINTAINER="Andrew Payne"
+EMAIL="phalange@komputermatrix.com"
diff --git a/hugo/slack-desc b/hugo/slack-desc
new file mode 100644
index 0000000..f7eafa6
--- /dev/null
+++ b/hugo/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+hugo: hugo (static HTML and CSS website generator written in Go)
+hugo:
+hugo: Hugo is a static HTML and CSS website generator written in Go. It is
+hugo: optimized for speed, ease of use, and configurability. Hugo takes a
+hugo: directory with content and templates and renders them into a full
+hugo: HTML website.
+hugo:
+hugo: Homepage: https://gohugo.io
+hugo:
+hugo:
+hugo:
diff --git a/kitty-bin/README b/kitty-bin/README
new file mode 100644
index 0000000..6ccf6b9
--- /dev/null
+++ b/kitty-bin/README
@@ -0,0 +1,14 @@
+kitty (fast, featureful, GPU-based terminal emulator)
+
+kitty is a terminal emulator for X11 and Wayland [1], which offloads
+the rendering to the GPU [2] and supports modern terminal features. It
+also supports tiling multiple terminal windows without using an extra
+program like screen or tmux.
+
+[1] For Wayland support, it may be necessary to add the following
+ line to ~/.config/kitty/kitty.conf:
+ linux_display_server wayland
+
+[2] Requires hardware-accelerated OpenGL support.
+
+This is a repackage of the binaries distributed by upstream
diff --git a/kitty-bin/doinst.sh b/kitty-bin/doinst.sh
new file mode 100644
index 0000000..1f8ff67
--- /dev/null
+++ b/kitty-bin/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/kitty-bin/kitty-bin.SlackBuild b/kitty-bin/kitty-bin.SlackBuild
new file mode 100644
index 0000000..1343807
--- /dev/null
+++ b/kitty-bin/kitty-bin.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/bash
+
+# Slackware build script for kitty
+
+# Copyright 2026 danix <danix@danix.xyz>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=kitty-bin
+SRCNAM=kitty
+VERSION=${VERSION:-0.46.2}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION-$ARCH.txz
+
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+mkdir -p $PKG/opt/$PRGNAM-$VERSION/{bin,lib}
+cp -a bin/* $PKG/opt/$PRGNAM-$VERSION/bin
+cp -a lib/* $PKG/opt/$PRGNAM-$VERSION/lib
+
+mkdir -p $PKG/usr/{bin,man}
+mkdir -p $PKG/usr/share/{applications,icons,terminfo}
+cp -a share/applications/*.desktop $PKG/usr/share/applications
+cp -a share/icons/* $PKG/usr/share/icons
+cp -a share/man/* $PKG/usr/man
+find $PKG/usr/man/man* -type f | xargs gzip -9
+cp -a share/terminfo/* $PKG/usr/share/terminfo
+
+ln -sf ../../opt/$PRGNAM-$VERSION/bin/kitty $PKG/usr/bin/kitty
+ln -sf ../../opt/$PRGNAM-$VERSION/bin/kitten $PKG/usr/bin/kitten
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a share/doc/$SRCNAM/html $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION/html -type f -a -empty | xargs rm
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/kitty-bin/kitty-bin.info b/kitty-bin/kitty-bin.info
new file mode 100644
index 0000000..b3deea8
--- /dev/null
+++ b/kitty-bin/kitty-bin.info
@@ -0,0 +1,10 @@
+PRGNAM="kitty-bin"
+VERSION="0.46.2"
+HOMEPAGE="https://sw.kovidgoyal.net/kitty/"
+DOWNLOAD="https://github.com/kovidgoyal/kitty/releases/download/v0.46.2/kitty-0.46.2-x86_64.txz"
+MD5SUM="9c99ee383211e06cd919d156ab3c1031"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="danix"
+EMAIL="danix@danix.xyz"
diff --git a/kitty-bin/slack-desc b/kitty-bin/slack-desc
new file mode 100644
index 0000000..de67509
--- /dev/null
+++ b/kitty-bin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+kitty-bin: kitty (fast, featureful, GPU-based terminal emulator)
+kitty-bin:
+kitty-bin: kitty is a terminal emulator for X11 and Wayland, which offloads the
+kitty-bin: rendering to the GPU and supports modern terminal features. It also
+kitty-bin: supports tiling multiple terminal windows without using an extra
+kitty-bin: program like screen or tmux.
+kitty-bin:
+kitty-bin: Homepage: https://sw.kovidgoyal.net/kitty/
+kitty-bin:
+kitty-bin: This is a repackage of the binaries distributed by upstream.
+kitty-bin:
diff --git a/llama.cpp-vulkan/README b/llama.cpp-vulkan/README
new file mode 100644
index 0000000..5509d44
--- /dev/null
+++ b/llama.cpp-vulkan/README
@@ -0,0 +1,22 @@
+llama.cpp
+
+LLM inference in C/C++
+
+The main goal of llama.cpp is to enable LLM inference with minimal
+setup and state-of-the-art performance on a wide range of hardware
+locally and in the cloud.
+
+ - Plain C/C++ implementation without any dependencies
+ - Apple silicon is a first-class citizen - optimized via ARM NEON,
+ Accelerate and Metal frameworks
+ - AVX, AVX2, AVX512 and AMX support for x86 architectures
+ - RVV, ZVFH, ZFH, ZICBOP and ZIHINTPAUSE support for RISC-V
+ architectures
+ - 1.5-bit, 2-bit, 3-bit, 4-bit, 5-bit, 6-bit, and 8-bit integer
+ quantization for faster inference and reduced memory use
+ - Custom CUDA kernels for running LLMs on NVIDIA GPUs (support for
+ AMD GPUs via HIP and Moore Threads GPUs via MUSA)
+ - Vulkan and SYCL backend support
+ - CPU+GPU hybrid inference to partially accelerate models larger than
+ the total VRAM capacity
+
diff --git a/llama.cpp-vulkan/doinst.sh b/llama.cpp-vulkan/doinst.sh
new file mode 100644
index 0000000..0b91476
--- /dev/null
+++ b/llama.cpp-vulkan/doinst.sh
@@ -0,0 +1,27 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+preserve_perms etc/rc.d/rc.llama.cpp.new
+config etc/rc.d/rc.llama.cpp.new
+
diff --git a/llama.cpp-vulkan/llama.cpp-vulkan.SlackBuild b/llama.cpp-vulkan/llama.cpp-vulkan.SlackBuild
new file mode 100644
index 0000000..b78c515
--- /dev/null
+++ b/llama.cpp-vulkan/llama.cpp-vulkan.SlackBuild
@@ -0,0 +1,131 @@
+#!/bin/bash
+
+# Slackware build script for llama.cpp-vulkan
+
+# Copyright 2026 danix <danix@danix.xyz>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=llama.cpp-vulkan
+SRCNAM=llama.cpp
+VERSION=${VERSION:-b8581}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -ex
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake .. \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -B build \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DBUILD_SHARED_LIBS=ON \
+ -DLLAMA_BUILD_TESTS=OFF \
+ -DLLAMA_USE_SYSTEM_GGML=OFF \
+ -DGGML_NATIVE=ON \
+ -DGGML_ALL_WARNINGS=OFF \
+ -DGGML_ALL_WARNINGS_3RD_PARTY=OFF \
+ -DGGML_BUILD_EXAMPLES=OFF \
+ -DGGML_BUILD_TESTS=OFF \
+ -DGGML_LTO=ON \
+ -DGGML_RPC=ON \
+ -DGGML_VULKAN=ON \
+ -DGGML_CUDA_FA_ALL_QUANTS=ON \
+ -DLLAMA_BUILD_NUMBER="${VERSION#b}" \
+ -Wno-dev
+
+ cmake --build build --
+ DESTDIR=$PKG cmake --install build
+cd ..
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \; || true
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS CODEOWNERS CONTRIBUTING.md LICENSE README.md SECURITY.md media \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/etc/rc.d
+cat $CWD/rc.llama.cpp > $PKG/etc/rc.d/rc.llama.cpp.new
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/llama.cpp-vulkan/llama.cpp-vulkan.info b/llama.cpp-vulkan/llama.cpp-vulkan.info
new file mode 100644
index 0000000..1a5b023
--- /dev/null
+++ b/llama.cpp-vulkan/llama.cpp-vulkan.info
@@ -0,0 +1,10 @@
+PRGNAM="llama.cpp-vulkan"
+VERSION="b8581"
+HOMEPAGE="https://github.com/ggml-org/llama.cpp"
+DOWNLOAD="https://github.com/ggml-org/llama.cpp/archive/b8581/llama.cpp-b8581.tar.gz"
+MD5SUM="78bd502eca26be48813f50716e9b86fe"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="danix"
+EMAIL="danix@danix.xyz"
diff --git a/llama.cpp-vulkan/rc.llama.cpp b/llama.cpp-vulkan/rc.llama.cpp
new file mode 100644
index 0000000..fab09d6
--- /dev/null
+++ b/llama.cpp-vulkan/rc.llama.cpp
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Copyright 2026 danix <danix@danix.xyz>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# SERVER OPTIONS
+# many options can be set as env variables.
+# See https://github.com/ggml-org/llama.cpp/tree/master/tools/server
+
+RUNAS_USER=
+RUNAS_GROUP=users
+LLSRV=/usr/bin/llama-server
+#MODEL_DIR=
+MODEL= # which model to use
+HOST=127.0.0.1 # ip to bind the server to
+PORT=8181 # port for the server to listen to
+CONTEXT= #size of context
+TEMP=1.0
+TOP_K=20
+TOP_P=0.95
+MIN_P=0.00
+SLEEP_IDLE_SECONDS=500 # after how many seconds to unload the model from memory
+REASONING_FORMAT=deepseek
+GPU_LAYERS=all
+SPLIT_MODE=none
+NO_CONTEXT_SHIFT='--no-context-shift'
+LOG_FILE=/var/log/llama-server/server.log
+LLAMA_ARGS="--ctx-size $CONTEXT \
+ --temp $TEMP \
+ --top-k $TOP_K \
+ --top-p $TOP_P \
+ --min-p $MIN_P \
+ --host $HOST --port $PORT \
+ --reasoning-format $REASONING_FORMAT \
+ -sm $SPLIT_MODE \
+ $NO_CONTEXT_SHIFT \
+ -ngl $GPU_LAYERS \
+ --sleep-idle-seconds $SLEEP_IDLE_SECONDS \
+ -m $MODEL" # alternatively one could set the model directory and pass --models-dir to the script
+
+case "$1" in
+ stop)
+ if /usr/bin/pgrep -f "$LLSRV" >/dev/null; then
+ echo "Stopping llama-server..."
+ killall llama-server 2>/dev/null
+ else
+ echo "llama-server is not running..."
+ exit 1
+ fi
+ ;;
+ start)
+ echo "Starting llama-server..."
+ if [[ -d $(dirname $LOG_FILE) ]]; then
+ mkdir -p $(dirname $LOG_FILE)
+ touch $LOG_FILE
+ chown -R ${RUNAS_USER}:${RUNAS_GROUP} $(dirname $LOG_FILE)
+ fi
+ su $RUNAS_USER -c "$LLSRV $LLAMA_ARGS --log-file $LOG_FILE -lv 3 --log-timestamps" 1>/dev/null 2>&1 &
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 { start | stop | restart }" >&2
+ exit 1
+ ;;
+esac
diff --git a/llama.cpp-vulkan/slack-desc b/llama.cpp-vulkan/slack-desc
new file mode 100644
index 0000000..273e15e
--- /dev/null
+++ b/llama.cpp-vulkan/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+llama.cpp-vulkan: llama.cpp-vulkan (LLM inference in C/C++)
+llama.cpp-vulkan:
+llama.cpp-vulkan: Port of Facebook's LLaMA model in C/C++ with Vulkan GPU optimizations
+llama.cpp-vulkan:
+llama.cpp-vulkan: The main goal of llama.cpp is to enable LLM inference with minimal
+llama.cpp-vulkan: setup and state-of-the-art performance on a wide range of hardware
+llama.cpp-vulkan: locally and in the cloud.
+llama.cpp-vulkan:
+llama.cpp-vulkan: Home: https://github.com/ggml-org/llama.cpp
+llama.cpp-vulkan:
+llama.cpp-vulkan:
diff --git a/obsidian/README b/obsidian/README
new file mode 100644
index 0000000..db73203
--- /dev/null
+++ b/obsidian/README
@@ -0,0 +1,12 @@
+Obsidian is a personal knowledge base and note-taking software
+application that operates on Markdown files. It allows users to make
+internal links for notes and then to visualize the connections as a
+graph. It is designed to help users organize and structure their
+thoughts and knowledge in a flexible, non-linear way.
+
+The software is free for personal use, with commercial licenses
+available for pay
+
+This script repackages the Debian package provided by Obsidian team.
+
+Currently, only the 64bit version is available.
diff --git a/obsidian/doinst.sh b/obsidian/doinst.sh
new file mode 100644
index 0000000..65c7e2e
--- /dev/null
+++ b/obsidian/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/obsidian/obsidian.SlackBuild b/obsidian/obsidian.SlackBuild
new file mode 100644
index 0000000..25ec26b
--- /dev/null
+++ b/obsidian/obsidian.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/bash
+
+# Slackware build script for Obsidian
+
+# Copyright 2024 Dimitar Nikov, Alfreton, United Kingdom
+# Copyright 2025-2026 Matt Egger, Philadelphia, PA, United States
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=obsidian
+VERSION=${VERSION:-1.12.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" != "x86_64" ]; then
+ echo "$ARCH is not supported."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/${PRGNAM}_${VERSION}_amd64.deb data.tar.xz | tar -xvJ
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+rm -fr $PKG/usr/share/doc
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/obsidian/obsidian.info b/obsidian/obsidian.info
new file mode 100644
index 0000000..9fe77d1
--- /dev/null
+++ b/obsidian/obsidian.info
@@ -0,0 +1,10 @@
+PRGNAM="obsidian"
+VERSION="1.12.7"
+HOMEPAGE="https://obsidian.md/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/obsidianmd/obsidian-releases/releases/download/v1.12.7/obsidian_1.12.7_amd64.deb"
+MD5SUM_x86_64="4fc61e50360320be9083f80b04a805ee"
+REQUIRES=""
+MAINTAINER="Matt Egger"
+EMAIL="matt.egger@gmail.com"
diff --git a/obsidian/slack-desc b/obsidian/slack-desc
new file mode 100644
index 0000000..e77e407
--- /dev/null
+++ b/obsidian/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+obsidian: obsidian (a markdown editor)
+obsidian:
+obsidian: Obsidian is a personal knowledge base and note-taking software
+obsidian: application that operates on Markdown files. It allows users to make
+obsidian: internal links for notes and then to visualize the connections as a
+obsidian: graph. It is designed to help users organize and structure their
+obsidian: thoughts and knowledge in a flexible, non-linear way.
+obsidian:
+obsidian: Homepage: https://obsidian.md/
+obsidian:
+obsidian:
diff --git a/syncthing/README b/syncthing/README
new file mode 100644
index 0000000..86b1197
--- /dev/null
+++ b/syncthing/README
@@ -0,0 +1,20 @@
+Syncthing (two way file sync between devices)
+
+Syncthing is a free, open-source peer-to-peer, two-way file
+syncronisation application available for Windows, Mac, Linux, iOS,
+Android, Solaris, Darwin and BSD. It can sync files between devices
+on a local network, or between remote devices over the Internet.
+
+Before you can build Syncthing, you have to create a syncthing
+user and group (used when running syncthing as a system-wide daemon):
+
+groupadd -g 307 syncthing
+useradd -d /var/lib/syncthing -g syncthing -s /bin/bash -u 307 syncthing
+
+This package includes a rc.syncthing startup script, suitable for
+running Syncthing as a system daemon - such as on a server.
+
+The default location for the Syncthing config *and* sync repository
+if run using the enclosed rc.syncthing is under /var/lib/syncthing,
+but Syncthing is normally configured through its own web interface.
+See project page for further details.
diff --git a/syncthing/doinst.sh b/syncthing/doinst.sh
new file mode 100644
index 0000000..9d663d4
--- /dev/null
+++ b/syncthing/doinst.sh
@@ -0,0 +1,25 @@
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+config etc/logrotate.d/syncthing.new
+preserve_perms etc/rc.d/rc.syncthing.new
diff --git a/syncthing/rc.syncthing b/syncthing/rc.syncthing
new file mode 100644
index 0000000..730e638
--- /dev/null
+++ b/syncthing/rc.syncthing
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# Copyright 2016, Sebastian Arcus, UK
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+SYNCTHING_USER="syncthing"
+SYNCTHING="/usr/bin/syncthing"
+CONFDIR="/var/lib/syncthing/config"
+LOGFILE="/var/log/syncthing/syncthing.log"
+LOGFLAGS="11"
+SYNCTHING_ARGS="-no-browser"
+
+case "$1" in
+ stop)
+ if /usr/bin/pgrep -f /usr/bin/syncthing >/dev/null; then
+ echo "Stop Syncthing..."
+ killall syncthing 2>/dev/null
+ else
+ echo "Syncthing is not running..."
+ exit 1
+ fi
+ ;;
+ start)
+ echo "Start Syncthing..."
+ su - $SYNCTHING_USER -c "$SYNCTHING -home=$CONFDIR -logfile=$LOGFILE -logflags=$LOGFLAGS $SYNCTHING_ARGS" 1>/dev/null 2>&1 &
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 { start | stop | restart }" >&2
+ exit 1
+ ;;
+esac
diff --git a/syncthing/slack-desc b/syncthing/slack-desc
new file mode 100644
index 0000000..2d1ee73
--- /dev/null
+++ b/syncthing/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+syncthing: syncthing (two way file sync between devices)
+syncthing:
+syncthing: Syncthing is a free, open-source peer-to-peer, two-way file
+syncthing: syncronisation application available for Windows, Mac, Linux, iOS,
+syncthing: Android, Solaris, Darwin and BSD. It can sync files between devices
+syncthing: on a local network, or between remote devices over the Internet.
+syncthing:
+syncthing: https://syncthing.net
+syncthing:
+syncthing:
+syncthing:
diff --git a/syncthing/syncthing.SlackBuild b/syncthing/syncthing.SlackBuild
new file mode 100644
index 0000000..b4b896f
--- /dev/null
+++ b/syncthing/syncthing.SlackBuild
@@ -0,0 +1,115 @@
+#!/bin/bash
+
+# Slackware build script for syncthing
+
+# Copyright 2015 Lionel Young, United States
+# Copyright 2016 Sebastian Arcus, United Kingdom
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=syncthing
+VERSION=${VERSION:-2.0.15}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_danix}
+PKGTYPE=${PKGTYPE:-txz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i586" ] || [ "$ARCH" = "i686" ]; then
+ FARCH=386
+elif [ "$ARCH" = "x86_64" ]; then
+ FARCH=amd64
+else
+ echo "$ARCH architecture is not supported."
+ exit 1
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+# Check if the syncthing user and group exist. If not, then bail.
+if [ "$(id -g syncthing 2> /dev/null)" != "307" -o "$(id -u syncthing 2> /dev/null)" != "307" ]; then
+ echo " You must have an 'syncthing' user and group to run this script."
+ echo " # groupadd -g 307 syncthing"
+ echo " # useradd -d /var/lib/syncthing -g syncthing -s /bin/bash -u 307 syncthing"
+ exit 1
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/${PRGNAM}-linux-$FARCH-v${VERSION}.tar.gz
+cd ${PRGNAM}-linux-$FARCH-v${VERSION}
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Install syncthing
+mkdir -p $PKG/usr/bin
+install -Dm755 syncthing $PKG/usr/bin/syncthing
+
+# Install rc script
+mkdir -p $PKG/etc/rc.d
+cat $CWD/rc.syncthing > $PKG/etc/rc.d/rc.syncthing.new
+chmod 0644 $PKG/etc/rc.d/rc.syncthing.new
+
+# Install logrotate script
+mkdir -p $PKG/etc/logrotate.d
+cat $CWD/syncthing.logrotate > $PKG/etc/logrotate.d/syncthing.new
+
+mkdir -p -m 750 $PKG/var/lib/syncthing/config
+mkdir -p -m 750 $PKG/var/log/syncthing
+mkdir -p -m 750 $PKG/var/run/syncthing
+chown -R syncthing:syncthing $PKG/var/{lib,run,log}/syncthing
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/syncthing/syncthing.info b/syncthing/syncthing.info
new file mode 100644
index 0000000..7c6b8ca
--- /dev/null
+++ b/syncthing/syncthing.info
@@ -0,0 +1,10 @@
+PRGNAM="syncthing"
+VERSION="2.0.15"
+HOMEPAGE="https://syncthing.net"
+DOWNLOAD="https://github.com/syncthing/syncthing/releases/download/v2.0.15/syncthing-linux-386-v2.0.15.tar.gz"
+MD5SUM="04bb977a084577ddac3c6036b965d54d"
+DOWNLOAD_x86_64="https://github.com/syncthing/syncthing/releases/download/v2.0.15/syncthing-linux-amd64-v2.0.15.tar.gz"
+MD5SUM_x86_64="4129e1b6e1b014b7c92f4e987204251f"
+REQUIRES=""
+MAINTAINER="Sebastian Arcus"
+EMAIL="s [dot] arcus [at] open-t [dot] co [dot] uk"
diff --git a/syncthing/syncthing.logrotate b/syncthing/syncthing.logrotate
new file mode 100644
index 0000000..ef303bf
--- /dev/null
+++ b/syncthing/syncthing.logrotate
@@ -0,0 +1,8 @@
+/var/log/syncthing/*.log {
+ weekly
+ rotate 4
+ compress
+ missingok
+ notifempty
+ copytruncate
+}